# 好办公共 header 插件

>>>HEAD

> A Vue.js vue-office-header Plugin


## Install
- 记得需要切换 公司源

  - 换源: npm config set registry http://www.gicdev.com:7001/ 或者使用 nrm 切换

```shell
npm install @gic-test/vue-office-header -S
```

## how to use

```
// main.js
import vueOfficeHeader from '@gic-test/vue-office-header'

Vue.use(vueOfficeHeader)

// 使用页面

<vue-office-header :projectName="projectName"  :collapseFlag="collapseFlag" @collapseTag="collapseTag" @toRouterView="toRouterView"></vue-office-header>

data() {
  return {
    // 可传参数
    projectName: '', // 当前项目名

    collapseFlag: false, // 折叠参数
    // 路由菜单
    // 修改由插件请求
  }
}

methods: {
    // 处理路由跳转
    toRouterView(val) {
      var that = this;
      // 模拟检查数据
      console.log(val);
      //有两个参数
      //{
      //  name:,
      //  path:
      //}
      that.$router.push({
        path: val.path
      })
    },

    // 折叠事件
    collapseTag(val){
      var that = this;
      console.log(val);
    }
},
```

